---
title: Germany Residential
slug: api/germany-residential
icon: {"faIcon":"fa-solid fa-ellipsis-vertical"}
docTags: 
createdAt: 2025-02-28T00:26:19.727Z
---

**Verifies input data against Telco, Commercial, Consumer, and Proprietary data obtained from partnered sources in Germany.**

For Authorization [Get Session Token ](https://app.archbee.com/public/PREVIEW-hnayPWtSAEmBvPEAR1R0A/PREVIEW-xqss5K2lV8fJT_0PV5DBk)from Authentication page.

:::ApiMethodV2
```json
{
  "name": "Germany Residential",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – Returns KYC verification\n* Consumer Consent – N/A\n* Mandatory Input – Name and Address\n* Verifies – Name, DOB and Address\n* Returned Data - the match score for each name and/or address element (if configured)",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzMzgxNTg4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NTc5MDQsImV4cCI6MTc0MzQxMDM4OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.5ed7HLedBmdXwwincXQPyCU3Suxg7bkHljLruwIpYlNxwz3873KjBmC2Dwy5VkGOTc9qAsp6HymAPXfMcMO2KA' \\\n--data '{\n    \"countryCode\": \"DE\",\n    \"service\": [\n        \"Germany Residential\"\n    ],\n    \"clientReference\": \"Test_0001\",\n    \"firstName\": \"Anke\",\n    \"middleName\": \"Dennis Wolfgang\",\n    \"lastName\": \"Gaußmann\",\n    \"dateOfBirth\": \"1963-07-23\",\n    \"addressElement1\": \"23 Kellerberg\",\n    \"addressElement3\": \"Nidderau\",\n    \"addressElement5\": \"61130\"\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Germany\",\n    \"clientReference\": \"Test_0001\",\n    \"reportingReference\": \"DZ-8ef75bb1-02ac-4dc6-a8fb-9727c100db92\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Germany Residential\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"M1\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"1.000\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement5\": true,\n                \"dateOfBirth\": true,\n                \"firstName\": true,\n                \"lastName\": true\n            },\n            \"returnedData\": {}\n        }\n    },\n    \"remarks\": []\n}"
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "DE"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Germany Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the house/unit number and street name of the address"
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the Town/City of the address",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the post code of the address",
            "children": []
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "DE"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Germany Residential"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the house/unit number and street name of the address"
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the Town/City of the address",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the post code of the address",
            "children": []
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Germany",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"No Match\" "
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "error message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "Verification Details with \"Germany Residential\" returned as the Service Identifier. ",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "error message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "M1, M2, N1, P6 or \"none\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "element level verification returned as true or false",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "returns additional data from the data source.",
          "children": [
            {
              "name": "altAddressMatchScore",
              "kind": "optional",
              "type": "object",
              "description": " the match score for each address element (if configured)",
              "children": [
                {
                  "name": "addressElement1",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "addressElement3",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "addressElement5",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                }
              ]
            },
            {
              "name": "altNameMatchScore",
              "kind": "optional",
              "type": "object",
              "description": "the match score for each name element (if configured)",
              "children": [
                {
                  "name": "firstName",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "lastName",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "germany-residential",
  "legacyHash": "9weDGyHVp8hIRe8dqt3l_"
}
```
:::

***

::::hint{type="info"}
**Links**

:::CtaButton{label="About Safe Harbour Scores" docId="9Fe9gAz4I566ohH2Thslq" openInNewTab="true"}

:::
::::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="Last updated - 05 June, 2025"}
:::

